import { FirebaseFirestoreTypes } from '@react-native-firebase/firestore';

export interface CommentProps {
    // 프로필 이미지
    writer_avatar: string;
    // 이름
    writer_name: string;
    // 아파트
    writer_address: string;
    // 내용
    comment_decs: string;
    // 생성 날짜
    comment_create_date: string;
    // key
    key: string;
}

export const basicCommentData: CommentProps = {
    writer_avatar: '',
    writer_name: '',
    writer_address: '',
    comment_decs: '',
    comment_create_date: '',
    key: '',
};

export const commentFromJson = (firebaseDoc: FirebaseFirestoreTypes.DocumentSnapshot<FirebaseFirestoreTypes.DocumentData>): CommentProps => {
    let data = firebaseDoc.data();
    let id = firebaseDoc.id;

    return {
        ...basicCommentData,
        ...data,
        key: id,
    };
};

export interface CommentCardProps {
    loading?: boolean;
    item: CommentProps;
    index: number;
}

export interface CommentBodyProps {
    color: string;
    scrollEnabled?: boolean;
    isFocused: boolean;
    collection: string;
    doc: string;
    RenderCard?: ({ item, index }: { item: CommentProps; index: number }) => JSX.Element;
}

export interface CommentFooterProps {
    collection: string;
    doc: string;
    collectionData: {
        title: string;
        writerId: string;
        key: string;
    };
    writer: { id: string; name: string; avatar: string; decs: string };
}
